<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::matrix_exp_iterator&lt; EXP &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1matrix__exp__iterator.html">matrix_exp_iterator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classdlib_1_1matrix__exp__iterator-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::matrix_exp_iterator&lt; EXP &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::matrix_exp_iterator&lt; EXP &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1matrix__exp__iterator.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a696369596ea0e64ab16d9accaec56e4e"><td class="memItemLeft" align="right" valign="top"><a id="a696369596ea0e64ab16d9accaec56e4e"></a>
typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; EXP &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:a696369596ea0e64ab16d9accaec56e4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a851cab495621a8a5b19dfc0119e0db88"><td class="memItemLeft" align="right" valign="top"><a id="a851cab495621a8a5b19dfc0119e0db88"></a>
typedef type&#160;</td><td class="memItemRight" valign="bottom"><b>value_type</b></td></tr>
<tr class="separator:a851cab495621a8a5b19dfc0119e0db88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f1e74e0d0d837b86bef2197db43b6a5"><td class="memItemLeft" align="right" valign="top"><a id="a1f1e74e0d0d837b86bef2197db43b6a5"></a>
typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; EXP &gt;::const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>const_ret_type</b></td></tr>
<tr class="separator:a1f1e74e0d0d837b86bef2197db43b6a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a37f9a166966ef5ffe50fb16b3ab7beec"><td class="memItemLeft" align="right" valign="top"><a id="a37f9a166966ef5ffe50fb16b3ab7beec"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classdlib_1_1matrix__exp__iterator.html">matrix_exp_iterator</a> &amp;itr) const</td></tr>
<tr class="separator:a37f9a166966ef5ffe50fb16b3ab7beec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e3e8a6f22c0a6cb061a4a389e2a9e25"><td class="memItemLeft" align="right" valign="top"><a id="a6e3e8a6f22c0a6cb061a4a389e2a9e25"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator!=</b> (const <a class="el" href="classdlib_1_1matrix__exp__iterator.html">matrix_exp_iterator</a> &amp;itr) const</td></tr>
<tr class="separator:a6e3e8a6f22c0a6cb061a4a389e2a9e25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a751a6dbccc0e5c880a91f4232f5bd4c1"><td class="memItemLeft" align="right" valign="top"><a id="a751a6dbccc0e5c880a91f4232f5bd4c1"></a>
<a class="el" href="classdlib_1_1matrix__exp__iterator.html">matrix_exp_iterator</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator++</b> ()</td></tr>
<tr class="separator:a751a6dbccc0e5c880a91f4232f5bd4c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab710a7350fd023b40c3f0c2c49737bb"><td class="memItemLeft" align="right" valign="top"><a id="aab710a7350fd023b40c3f0c2c49737bb"></a>
<a class="el" href="classdlib_1_1matrix__exp__iterator.html">matrix_exp_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><b>operator++</b> (int)</td></tr>
<tr class="separator:aab710a7350fd023b40c3f0c2c49737bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fa4ace8a94763ad9a82ebe17b7ad39c"><td class="memItemLeft" align="right" valign="top"><a id="a2fa4ace8a94763ad9a82ebe17b7ad39c"></a>
const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>operator*</b> () const</td></tr>
<tr class="separator:a2fa4ace8a94763ad9a82ebe17b7ad39c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a637391d6f553222b66c9dc49b76ca55b"><td class="memItemLeft" align="right" valign="top"><a id="a637391d6f553222b66c9dc49b76ca55b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>matrix_exp_iterator</b> (const EXP &amp;m_, long r_, long c_)</td></tr>
<tr class="separator:a637391d6f553222b66c9dc49b76ca55b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aecf266be7e49690100e89613d3b7d675"><td class="memItemLeft" align="right" valign="top"><a id="aecf266be7e49690100e89613d3b7d675"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>r</b></td></tr>
<tr class="separator:aecf266be7e49690100e89613d3b7d675"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3673992ab96b8cd93bdc24b2104ba6a3"><td class="memItemLeft" align="right" valign="top"><a id="a3673992ab96b8cd93bdc24b2104ba6a3"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>c</b></td></tr>
<tr class="separator:a3673992ab96b8cd93bdc24b2104ba6a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9dd5710d4441b9c61063058ae3985b20"><td class="memItemLeft" align="right" valign="top"><a id="a9dd5710d4441b9c61063058ae3985b20"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b></td></tr>
<tr class="separator:a9dd5710d4441b9c61063058ae3985b20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb150eeaad4596c8f288abbb6d64ac63"><td class="memItemLeft" align="right" valign="top"><a id="afb150eeaad4596c8f288abbb6d64ac63"></a>
const EXP *&#160;</td><td class="memItemRight" valign="bottom"><b>m</b></td></tr>
<tr class="separator:afb150eeaad4596c8f288abbb6d64ac63"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a2d5fcc590338be9947671211cf04c244"><td class="memItemLeft" align="right" valign="top"><a id="a2d5fcc590338be9947671211cf04c244"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>matrix_exp&lt; EXP &gt;</b></td></tr>
<tr class="separator:a2d5fcc590338be9947671211cf04c244"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="matrix__exp_8h_source.html">matrix_exp.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
